<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            ALTER TABLE production_plans
            ADD COLUMN item_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT production_plans_item_id_fkey
            FOREIGN KEY (item_id) REFERENCES items(id);
        SQL;

        DB::statement($sql);

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('production_plans', function (Blueprint $table) {
        //     //
        // });
    }
};
